Documentation IndexFetch the complete documentation index at: /docs/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /docs/llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request GET \ --url https://cloud.bytebeam.io/api/v1/firmware-bundles \ --header 'x-bytebeam-api-key: <api-key>' \ --header 'x-bytebeam-tenant: <api-key>'
{ "results": [ { "file_name": "<string>", "uncompressed_size": 123, "content_length": 123, "checksum": "<string>", "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "version": "<string>", "created_by": "<string>", "firmwares": [ { "file_name": "<string>", "uncompressed_size": 123, "content_length": 123, "firmware_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "is_deactivated": true, "checksum": "<string>", "version_number": "<string>", "component_name": "<string>", "dependencies": [ { "component_name": "<string>", "min_version": "<string>" } ] } ], "created_at": "2023-11-07T05:31:56Z" } ] }
API key required to authenticate requests.
Tenant(Project) name required to identify the project.
Show child attributes